Subject: Re: [PATCH 0/4] defconfig: fix changed configs and refresh

From: Max Krummenacher <[email-masked]>
Date: Tue, 07 Apr 2020 16:26:49 +0200

Hi Laurent, Geert,

Am Dienstag, den 07.04.2020, 17:16 +0300 schrieb Laurent Pinchart:
> Hi Geert,
> 
> On Tue, Apr 07, 2020 at 03:16:14PM +0200, Geert Uytterhoeven wrote:
> > On Tue, Apr 7, 2020 at 12:36 PM Max Krummenacher <[email-masked]> wrote:
> > > Three configs have been renamed and/or changed behaviour.
> > > Clean that by using the new config name.
> > > Then refresh the defconfig with make defconfig savedefconfig.
> > > 
> > > The refreshed defconfig does result in a not changed .config.
> > > 
> > > Applies on linux-next/master tag: next-20200407
> > > 
> > > Max Krummenacher (4):
> > >   arm64: defconfig: DRM_DUMB_VGA_DAC: follow changed config symbol name
> > >   arm64: defconfig: PCIE_TEGRA194: follow changed config symbol name
> > >   arm64: defconfig: ARCH_R8A7795: follow changed config symbol name
> > >   arm64: defconfig: refresh
> > 
> > Probably CONFIG_DRM_DISPLAY_CONNECTOR should also be enabled for HDMI,
> > VGA, and composite display connectors on various boards since commit
> > 0c275c30176b2e78 ("drm/bridge: Add bridge driver for display
> > connectors"), but it's not clear to me when exactly this became a
> > requirement, as before there was no code that looked for e.g.
> > vga-connector.
> > Laurent?
> 
> It's not required yet for R-Car DU, but I'm working on changing that :-)
> If we can enable CONFIG_DRM_DISPLAY_CONNECTOR in defconfig as part of
> this series, it would be useful for me.
> 
I will add CONFIG_DRM_DISPLAY_CONNECTOR in a V2 to  "arm64: defconfig: DRM_DUMB_VGA_DAC:
follow changed config symbol name" with a comment in the commit comment that this is
recommended to go  with the DRM_DUMB_VGA_DAC.

Regards
Max

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel